Skip to content
Navigation

Pages the customer's checkouts.

GET
https://api.sherpo.io/customer/v1/stores/{store}/checkouts

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    A hostname of the store.

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean

Returns

200

Pages the customer's checkouts.

JSON
  • items
    array of
    object
    required
    • status
      string
      required
    • order
      required

      One of the following:

      • object
      • null
    • under_minimum
      required

      One of the following:

      • object
      • null
    • card_required
      required

      One of the following:

      • object
      • null
    • items
      array of
      object
      required
      • product
        required

        One of the following:

        • object
        • null
      • autorenew
        required

        One of the following:

        • boolean
        • null
      • first_charge_at
        required

        One of the following:

        • string
        • null
      • refund_policy
        required

        One of the following:

        • string
        • null
      • refund_until
        required

        One of the following:

        • string
        • null
      • id
        string
        required
      • product_id
        string
        required
      • price_id
        string
        required
      • quantity
        number
        required
      • amount
        number
        required
      • discount
        number
        required
      • discount_id
        required

        One of the following:

        • string
        • null
      • total
        number
        required
      • mode
        string
        required
      • display_name
        required

        One of the following:

        • string
        • null
      • message
        required

        One of the following:

        • string
        • null
      • guests
        array of
        object
        required
        • email
          string
          required
        • name
          required

          One of the following:

          • string
          • null
    • totals
      object
      required
      • amount
        number
        required
      • discount
        number
        required
      • total
        number
        required
    • id
      string
      required
    • currency
      string
      required
    • exponent
      required

      One of the following:

      • number
      • null
    • coupon
      required

      One of the following:

      • string
      • null
    • refund_waiver
      required

      One of the following:

      • object
      • null
    • expires_at
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
    • updated_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close